# == This file defines the page layouts for new pages.
#
# For further informations please see http://guides.alchemy-cms.com/create_page_layouts.html

- name: index
  unique: true
  elements: [article,bigbanner,slider,propertylist,common_heading,two_column_text,chairperson]
  autogenerate: [article,bigbanner]

- name: portfolio
  unique: false
  elements: [portfolio_banner,slider,propertylist,common_heading,testimonials]
  autogenerate: [portfolio_banner,slider,propertylist,common_heading,testimonials]

- name: availability
  cache: false
  elements: []
  controller: availability_pages
  action: show

- name: innerpage
  unique: false
  elements: [homepage_banner_options, article,bigbanner,slider,propertylist,common_heading,mediumbanner,two_column_text,chairperson,testimonials, statistics]
  autogenerate: [bigbanner, homepage_banner_options]

- name: contactpage
  unique: true
  cache: false
  elements: [article,slider,propertylist,common_heading,mediumbanner,two_column_text,chairperson,contactform,company_map]

- name: property
  unique: false
  elements: [availability, is_featured, property_banner, property_description, property_features, property_media, property_floor_plan, property_map, property_street_view, amenities,testimonials]
  autogenerate: [availability, is_featured, property_banner, property_description, property_features, amenities,testimonials]

- name: common_header_layout
  unique: true
  elements: [horizontal_header_bar]
  layoutpage: true

- name: common_footer_layout
  unique: true
  elements: [horizontal_footer_bar, social_media_links]
  layoutpage: true

- name: common_clients_slider
  unique: true
  elements: [clients_slider]
  layoutpage: true

- name: common_get_in_touch_footer
  unique: true
  elements: [common_heading]
  layoutpage: true

- name: contact
  unique: true
  cache: false
  elements: [pageheading, heading, contactform]
  autogenerate: [contactform]
